/*
	hello.h
	(c) Risto Holopainen 2021
	
	 This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <https://www.gnu.org/licenses/>.*/

#ifndef HELLO_H
#define HELLO_H

#define AN 36
#define ML 12


typedef struct parameters
{
	double frq;
	double amp;
	double dur;
	double  st;
	char   chn;
} parameters;




static void make_alphabet(char alph[AN])
{
	/* fill with lower case + punctuations + extras */
	int i=0;
	alph[0] = '_';
	while(i < 27)
		{
		alph[i] = 'a' + i;
		++i;
		}

	alph[27] = ' ';
	alph[28] = '.';
	alph[29] = '!';
	alph[30] = ':';
	alph[31] = '-';
	alph[32] = '*';
	alph[33] = '?';
	alph[34] = '|';
	alph[35] = '#';
}



static const char *msg = "hello world!";


void make_scale(double *sc, int sz)
{
	const double r = 18/17.;
	const double ref = 110;
	int i=0;
	sc[0] = ref;
	while(++i < sz)
		sc[i] = r*sc[i-1];
}




#endif
